package cn.yw.video.videochannelset.dao;



import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywvideochannelsetDao")
public class YwvideochannelsetDao  extends BaseSqlMapDAO{
	

	/**
	 * 增加记录
	 */
	public void insert_Ywvideochannelset(Map map) throws SQLException{
		this.insert("insert_Ywvideochannelset",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywvideochannelset(List batch) throws SQLException{
		this.insert("batch_insert_Ywvideochannelset",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywvideochannelset(Map map) throws SQLException{
		return this.update("update_Ywvideochannelset",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywvideochannelset(Map map) throws SQLException{
		return this.delete("delete_Ywvideochannelset",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywvideochannelset(Map map) throws SQLException{
		return this.delete("batch_delete_Ywvideochannelset",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywvideochannelset(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywvideochannelset",map);
	}
	public Integer count_Ywvideochannelset_taskselect(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywvideochannelset_taskselect",map);
	}
	public Integer count_Ywvideochannelset_taskunselect(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywvideochannelset_taskunselect",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywvideochannelset(Map map) throws SQLException{
		return this.queryForPage("query_Ywvideochannelset",map);
	}
	public List<Map> query_Ywvideochannelset_taskselect(Map map) throws SQLException{
		return this.queryForPage("query_Ywvideochannelset_taskselect",map);
	}
	public List<Map> query_Ywvideochannelset_taskunselect(Map map) throws SQLException{
		return this.queryForPage("query_Ywvideochannelset_taskunselect",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywvideochannelset(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywvideochannelset",map);
	}
}
